/*
 * Licensed to Open Source Radio Access Network(OS-RAN) Alliance and OAI
 * Software Alliance under one or more contributor license agreements. The
 * initial OpenXG series projects are derided from OAI projects, the files from
 * OAI projects are all in compliance with OAI Public License, Version 1.1.
 * codes and files developed from OpenXG projects and from OS-RAN Alliance
 * are all under OS-RAN licenses; you may not use this file except in compliance
 * with the license.  You may get a copy of the license at:
 *	http://www.openxg.org.cn/?falu_69.html
 * For more information about OpenXG, please contact:
 * contact@openxg.org.cn
 */

#ifndef _CURL_H_
#define _CURL_H_

// extern "C"{
#include <pthread.h>
#include <stdint.h>
#include <stdio.h>
#include <string>
#include <unistd.h>
//}

#include <curl/curl.h>
#include <nlohmann/json.hpp>

#include "bstrlib.h"
#include "logger.hpp"
#include "ausf_config.hpp"

#define CURL_TIMEOUT_MS 1000L

class Curl {
public:
  /****** curl function ********/
  static void curl_http_client(std::string remoteUri, std::string Method,
                               std::string msgBody, std::string &Response);

private:
};

#endif
